Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRFillEllipse

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillElement
          net.sf.jasperreports.engine.fill.JRFillGraphicElement
              net.sf.jasperreports.engine.fill.JRFillEllipse

All Implemented Interfaces:
  java.lang.Cloneable, JRFillCloneable, JRChild, JRCloneable, JRCommonElement, JRCommonGraphicElement, JRElement, JREllipse, JRGraphicElement, JRPenContainer, JRPropertiesHolder, JRStyleContainer, JRStyleSetter, JRVisitable

    public class JRFillEllipse

extends JRFillGraphicElement
implements JREllipse

Version:
  $Id: JRFillEllipse.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`band, conditionalStylesContainer, currentEvaluation, currentStyle, defaultStyleProvider, delayedEvaluationsMap, dynamicProperties, elementGroup, expressionEvaluator, filler, initStyle, mergedProperties, originProvider, parent, printWhenGroupChanges, staticProperties, templates`

Fields inherited from interface net.sf.jasperreports.engine.JRGraphicElement
`FILL_SOLID, PEN_1_POINT, PEN_2_POINT, PEN_4_POINT, PEN_DOTTED, PEN_NONE, PEN_THIN`

Fields inherited from interface net.sf.jasperreports.engine.JRElement
`MODE_OPAQUE, MODE_TRANSPARENT, POSITION_TYPE_FIX_RELATIVE_TO_BOTTOM, POSITION_TYPE_FIX_RELATIVE_TO_TOP, POSITION_TYPE_FLOAT, STRETCH_TYPE_NO_STRETCH, STRETCH_TYPE_RELATIVE_TO_BAND_HEIGHT, STRETCH_TYPE_RELATIVE_TO_TALLEST_OBJECT`

Constructor Summary
`protected` | `JRFillEllipse(JRBaseFiller filler, JREllipse ellipse, JRFillObjectFactory factory)`
`protected` | `JRFillEllipse(JRFillEllipse ellipse, JRFillCloneFactory factory)`

Method Summary
`void` | `collectExpressions(JRExpressionCollector collector)`
`JRFillCloneable` | `createClone(JRFillCloneFactory factory)` Creates a working clone of itself.
`protected JRTemplateElement` | `createElementTemplate()`
`protected void` | `evaluate(byte evaluation)`
`protected JRPrintElement` | `fill()`
`protected JRTemplateEllipse` | `getJRTemplateEllipse()`
`protected void` | `resolveElement(JRPrintElement element, byte evaluation)` Resolves an element.
`void` | `visit(JRVisitor visitor)`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillGraphicElement
`getDefaultLineColor, getDefaultLineWidth, getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, getOwnPen, getPen, prepare, rewind, setFill, setFill, setFill, setPen, setPen`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillElement
`addDependantElement, clone, clone, collectDelayedEvaluations, collectDelayedEvaluations, collectDelayedEvaluations, collectStyleDelayedEvaluations, delayedEvaluate, evaluateExpression, evaluatePrintWhenExpression, evaluateProperties, getBackcolor, getBand, getDefaultStyleProvider, getDependantElements, getElementGroup, getElementOrigin, getElementTemplate, getEvaluatedProperties, getEvaluationTimeValue, getField, getForecolor, getGroupElements, getHeight, getKey, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getParentProperties, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertiesMap, getPropertyExpressions, getRelativeY, getStretchHeight, getStretchType, getStretchTypeValue, getStyle, getStyleNameReference, getTemplate, getVariable, getWidth, getX, getY, hasProperties, initDelayedEvaluationPrint, initDelayedEvaluations, isAlreadyPrinted, isAutoEvaluateNow, isDelayedStyleEvaluation, isEvaluateAuto, isEvaluateNow, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isPrintWhenExpressionNull, isPrintWhenTrue, isRemoveLineWhenBlank, isReprinted, isToPrint, isValueRepeating, moveDependantElements, performDelayedEvaluation, registerTemplate, reset, resolveElement, setAlreadyPrinted, setBackcolor, setBand, setConditionalStylesContainer, setCurrentEvaluation, setForecolor, setHeight, setMode, setMode, setMode, setOriginProvider, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setPrintWhenExpressionNull, setPrintWhenTrue, setRelativeY, setRemoveLineWhenBlank, setReprinted, setShrinkable, setStretchHeight, setStretchType, setStretchType, setStyle, setStyleNameReference, setToPrint, setValueRepeating, setWidth, setX, setY, stretchElement, stretchHeightFinal, transferProperties, transferProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRGraphicElement
`getOwnPen, getPen, setPen, setPen`

Methods inherited from interface net.sf.jasperreports.engine.JRElement
`getElementGroup, getKey, getPositionType, getPositionTypeValue, getPrintWhenExpression, getPrintWhenGroupChanges, getPropertyExpressions, getStretchType, getStretchTypeValue, getX, getY, isPrintInFirstWholeBand, isPrintRepeatedValues, isPrintWhenDetailOverflows, isRemoveLineWhenBlank, setPositionType, setPositionType, setPrintInFirstWholeBand, setPrintRepeatedValues, setPrintWhenDetailOverflows, setRemoveLineWhenBlank, setStretchType, setStretchType, setWidth, setX`

Methods inherited from interface net.sf.jasperreports.engine.JRChild
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonGraphicElement
`getFill, getFillValue, getLinePen, getOwnFill, getOwnFillValue, setFill, setFill, setFill`

Methods inherited from interface net.sf.jasperreports.engine.JRCommonElement
`getBackcolor, getForecolor, getHeight, getMode, getModeValue, getOwnBackcolor, getOwnForecolor, getOwnMode, getOwnModeValue, getWidth, setBackcolor, setForecolor, setMode, setMode, setMode`

Methods inherited from interface net.sf.jasperreports.engine.JRPenContainer
`getDefaultLineColor, getDefaultLineWidth`

Methods inherited from interface net.sf.jasperreports.engine.JRStyleContainer
`getDefaultStyleProvider, getStyle, getStyleNameReference`

Constructor Detail

### JRFillEllipse

    protected JRFillEllipse(JRBaseFiller filler,
                            JREllipse ellipse,
                            JRFillObjectFactory factory)

### JRFillEllipse

    protected JRFillEllipse(JRFillEllipse ellipse,
                            JRFillCloneFactory factory)

Method Detail

### getJRTemplateEllipse

    protected JRTemplateEllipse getJRTemplateEllipse()

### createElementTemplate

    protected JRTemplateElement createElementTemplate()

  Specified by:
    `createElementTemplate` in class `JRFillElement`

### evaluate

    protected void evaluate(byte evaluation)
                     throws JRException

  Specified by:
    `evaluate` in class `JRFillElement`
  Throws:
    `JRException`

### fill

    protected JRPrintElement fill()

  Specified by:
    `fill` in class `JRFillElement`

### collectExpressions

    public void collectExpressions(JRExpressionCollector collector)

  Specified by:
    `collectExpressions` in interface `JRElement`

### visit

    public void visit(JRVisitor visitor)

  Specified by:
    `visit` in interface `JRVisitable`

### resolveElement

    protected void resolveElement(JRPrintElement element,
                                  byte evaluation)

  Description copied from class: `JRFillElement`
  Resolves an element.

  Specified by:
    `resolveElement` in class `JRFillElement`
  Parameters:
    `element` - the element
    `evaluation` - the evaluation type

### createClone

    public JRFillCloneable createClone(JRFillCloneFactory factory)

  Description copied from interface: `JRFillCloneable`
  Creates a working clone of itself.

  Specified by:
    `createClone` in interface `JRFillCloneable`
  Parameters:
    `factory` - the clone factory to use while creating the clone
  Returns:
    a working clone of itself

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com